#include <stdio.h>

int main()
{
  char a[400];
  char *q = a+40;
  char *p;

  printf("a @ 0x%x , q @ 0x%08x, p @ 0x%08x\n", a, q, p);
  sprintf(a, "%s", "this is a test");
  p = memmove(q, a, 30);
  printf("a @ 0x%08x , q @ 0x%08x, p @ 0x%08x\n", a, q, p);
  printf("a: %s, q: %s\n", a, q);
  printf("ok?\n");



  return 0;
}
